#!/bin/sh
#
##
## Component: tools
##
## Description:
##   Asks for Chameleon license code and install it by storing in $CONF/chmlicense.shi
##
## $Author$
## $Date$
##
#
#  RCS File Name    : $RCSfile$
#  RCS Revision     : $Revision$
#  Locked by        : $Locker$
#  Symbolic name    : $Name$
#  State            : $State$
#

. $HOME/etc/setenv.sh


KEY=""
EXPIRY=""
ERR=0

 read -r -p "Enter Chameleon registration key (Hit <ENTER> to skip): " KEY
 
 [ $? -ne 0 ] && exit 1
 [ -z "$KEY" ] && exit 0

 
 read -p "Enter expiration date ('YYYYMMDD' or hit <ENTER> to NOEXPIRY): " EXPIRY
 
 [ $? -ne 0 ] && exit 1
 
 [ -z "$EXPIRY" ] && EXPIRY="NOEXPIRY"
 
 KEY=$(echo $KEY | sed 's/\\/\\\\/g' | sed -e 's/"/\\"/g' -e 's/`/\\`/g' -e 's/\$/\\$/g')
 
 cat << END_OF_CHCFG > $CONF/chmlicense.shi
CHM_REGKEY="$KEY"
CHM_EXPIRY_DATE="$EXPIRY"
END_OF_CHCFG
