#!/bin/sh
#
# importusers
#
# USAGE: see usage_()
#
# Last Updated     : $Author $
# Update Date Time : $Date $
# RCS File Name    : $RCSfile $
# RCS Revision     : $Revision $
# Locked by        : $Locker $
# Symbolic name    : $Name $
# State            : $State $
#

. $HOME/etc/setenv.sh

CLASSPATH=$CLASSPATH:$CLASSES_HOME
export CLASSPATH

classFileBackupFileProcessor="$CLASSES_HOME/imagemed/tools/mysqlDumpfileProcessor/BackupFileProcessor.class"
classFileImportAlgorithm="$CLASSES_HOME/imagemed/tools/mysqlDumpfileProcessor/ImportAlgorithm.class"
classFileImportToTable="$CLASSES_HOME/imagemed/tools/mysqlDumpfileProcessor/ImportToTable.class"
classFileImportUsers="$CLASSES_HOME/imagemed/tools/mysqlDumpfileProcessor/ImportUsers.class"
classFileLog="$CLASSES_HOME/imagemed/tools/mysqlDumpfileProcessor/Log.class"
classFileMySQLDumpFileProcessor="$CLASSES_HOME/imagemed/tools/mysqlDumpfileProcessor/MySQLDumpFileProcessor.class"
classFileSQLStatementExecuter="$CLASSES_HOME/imagemed/tools/mysqlDumpfileProcessor/SQLStatementExecuter.class"

if [ -f "$classFileBackupFileProcessor" ] && [ -f "$classFileImportAlgorithm" ] && [ -f "$classFileImportToTable" ] && [ -f "$classFileImportUsers" ] && [ -f "$classFileLog" ] && [ -f "$classFileMySQLDumpFileProcessor" ] && [ -f "$classFileSQLStatementExecuter" ]; then
	echo $JAVA_HOME/bin/java imagemed.tools.mysqlDumpfileProcessor.ImportUsers "$@"
	$JAVA_HOME/bin/java imagemed.tools.mysqlDumpfileProcessor.ImportUsers "$@"
else
	echo "One or more required classfiles are missing."
fi