#!/bin/sh
#
#  Clears cache and processed directories of a study
#  Author: Tamas Nemeth <tnemeth@imagemedical.com>
#
#  Usage:  clearstudycache.sh <studyIUID>
#

. $HOME/etc/setenv.sh

study=$1

[ -z "$REPOSITORY_CACHE" -o -z "$REPOSITORY_PROCESSED" ] && exit 1
[ -z "$study" ] && exit 2

$REPOSITORY_HANDLER_HOME/bin/removeResource $REPOSITORY_CACHE $study
$REPOSITORY_HANDLER_HOME/bin/removeResource $REPOSITORY_PROCESSED $study
